summaryrefslogtreecommitdiff
path: root/source4/script/build_idl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/build_idl.sh')
-rwxr-xr-xsource4/script/build_idl.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
index 1eef5644e8..569dd7dd31 100755
--- a/source4/script/build_idl.sh
+++ b/source4/script/build_idl.sh
@@ -5,12 +5,14 @@ FULLBUILD=$1
[ -d librpc/gen_ndr ] || mkdir -p librpc/gen_ndr || exit 1
[ -d librpc/gen_rpc ] || mkdir -p librpc/gen_rpc || exit 1
+( cd build/pidl && make ) || exit 1
+
for f in librpc/idl/*.idl; do
base=`basename $f .idl`
ndr=librpc/gen_ndr/ndr_$base
if [ x$FULLBUILD = xFULL -o "$f" -nt $ndr.c ]; then
echo Processing $f
- pidl.pl --output $ndr --parse --header --parser --client librpc/gen_rpc/rpc_$base.c $f || exit 1
+ build/pidl/pidl.pl --output $ndr --parse --header --parser --client librpc/gen_rpc/rpc_$base.c $f || exit 1
fi
done